.TH LIC 1 "Feb 14 1994" "Stanford University" "SUIF Compiler"
.SH NAME
lic \-  Rapid Prototyping System for Code Generation and Matrix and
Linear Inequality Calculator 

.SH SYNOPSIS
.B lic
-c|-m [-h] [ < scriptfile]
.SH DESCRIPTION
The standalone Linear Inequality Calculator program 
.I LIC, 
takes input from a command line or a script file and interactively
performs linear inequality and matrix operations.
.I LIC
can be operated in two modes, as a matrix and linear
inequality calculator or a rapid prototyping system for code generation.


The rapid prototyping system for code generation mode is exclusively
designed for prototyping algorithms used for 
code generation. It uses the Library of Linear Inequalities with
Symbolic Coefficients (See
.I Matrix library reference manual
) as the underline primitives and provides a simple interface to enter 
inequalities for loop bounds and array access functions etc. 

In matrix and linear inequality calculator mode, many matrix and
linear inequality functions defined in 
Matrix Library and Linear Inequality Library (See
.I Matrix library reference manual
) can be used to manipulate matrices and systems of linear
inequalities. 



.SH OPTIONS
.TP
.B \-c
Rapid prototyping system for code generation.
.TP
.B \-m
Matrix and linear inequality calculator.
.TP
.B \-h
Online help page.
.SH SEE ALSO
.I LIC: The linear inequality calculator 
.I reference manual 
in the suif documentation set.
.SH HISTORY
Developed by Saman Amarasinghe.
